MyAnimeList.net

Forums

Recent Posts | My Watched Topics | My Ignored Topics | Search

AniChou package builds
MyAnimeList.net Forum »» Club Discussion »» AniChou »» AniChou package builds

Must be a Club Member to Reply
#1
04-30-09, 6:00 PM

Offline
Joined: Nov 2008
Posts: 268
UPDATED: May 09 2009
VERSION: 9.1.6-beta

+++IMPORTANT+++
You'll need to uninstall the old AnimeCollector rpm/deb before installing the new AniChou package to avoid conflicts
++++++++++++++



generic rpm:
http://archive.dankles.net/pub/ac/AniChou-9.1.6_beta-1.noarch.rpm

generic deb:
http://archive.dankles.net/pub/ac/anichou_9.1.6_i386.deb
Be sure to install python-gtk2
Also, you may want my gpg to avoid the security warning message about the signed package:


PKGBUILD (courtesy of yumileroy):
http://github.com/yumileroy/yumi-archlinux/tree/master

Ebuild (courtesy of livid):
http://bugs.gentoo.org/attachment.cgi?id=199779 Ebuild itself
http://bugs.gentoo.org/show_bug.cgi?id=279846 discussion page

+++NOTE+++
The rpm should work on the lastest red hat based system and the deb should work with both recent debian/ubuntu versions.
++++++++++

If anyone else has other package builds they want to make, feel free to post them here. I'll add them to my repo too if you want.
Modified by kazooparcel, 08-01-09, 10:16 AM
 
#2
05-04-09, 8:20 AM

Offline
Joined: Jun 2008
Posts: 644
Thanks for the deb bro.
 
#3
05-04-09, 8:22 AM

Offline
Joined: Nov 2008
Posts: 268
Darkii said:
Thanks for the deb bro.

np ^^
 
#4
06-11-09, 9:57 AM

Offline
Joined: Jun 2009
Posts: 1
 
#5
06-11-09, 12:21 PM

Offline
Joined: Nov 2008
Posts: 268
yumileroy said:
PKGBUILDs for AniChou:

http://github.com/yumileroy/yumi-archlinux/tree/master


Added it to both the front page and this sticky. Thanks :)
 
#6
07-31-09, 9:06 PM

Offline
Joined: Sep 2007
Posts: 5
Gentoo ebuild for last version (atm of writing). Not very clean, tho. But it works.

It would be great if developers would specify and correct dependencies (preferred versions included) to make this ebuild cleaner.

http://bugs.gentoo.org/attachment.cgi?id=199779 Ebuild itself
http://bugs.gentoo.org/show_bug.cgi?id=279846 discussion page
 
#7
08-01-09, 10:21 AM

Offline
Joined: Nov 2008
Posts: 268
livid said:
Gentoo ebuild for last version (atm of writing). Not very clean, tho. But it works.

It would be great if developers would specify and correct dependencies (preferred versions included) to make this ebuild cleaner.

http://bugs.gentoo.org/attachment.cgi?id=199779 Ebuild itself
http://bugs.gentoo.org/show_bug.cgi?id=279846 discussion page


Thanks for the Ebuilds, I added them to the sticky.

We've worked out the dependency problems in some of our git code. We removed the beautifulsoup thing because that was just a pain in the but and it was slow. Though development in general is going fairly slow at the moment, which is why we haven't release the fix yet. I think most of us are waiting for a few API features be release for the site before we get more things done.
 
#8
04-07-12, 11:20 AM

Offline
Joined: Dec 2009
Posts: 3
looks like the project is kinda short of updates and development but thanks for the github
 
#9
04-07-12, 11:08 PM

Offline
Joined: Apr 2011
Posts: 4
hi, I don't know were I can put this, but, when I try "python setup.py build && sudo python setup.py install ", it gives me print 'no-gui option set' please help me!
 
05-07-12, 1:18 PM

Offline
Joined: Jul 2008
Posts: 2
@suiseiseki_ryuu: Probably a new thread would have been better, but here are my two cents, anyway.
AniChou is written for python 2, but probably you are trying to run it with python 3. You can verify this by running:
$ python -V
where the "$" sign is your prompt. If you are indeed using python 3 (e.g. on my machine the previous command gives me "Python 3.2.3") you should look if your distro provides a python 2 symlink in /usr/bin (e.g. ArchLinux provides /usr/bin/python2) or a python 2 package.

If you need further help, please open a new thread or PM me.

P.S.: sorry for the late reply, but usually I don't look in the forums...
 
04-05-13, 4:13 AM

Offline
Joined: Mar 2010
Posts: 28
The link to the .deb gives me a 404 :(
"Anteeksi muumipeikko, luulin sinua porsaaksi!" sanoi Myy.
 
04-11-13, 5:29 PM

Offline
Joined: Aug 2010
Posts: 52
kusokasa said:
The link to the .deb gives me a 404 :(


Can we get updated links on the files or did the devs give up on this :c?
 
04-12-13, 12:34 AM

Offline
Joined: Apr 2009
Posts: 103
Installing from source still works. I'll ask about the packages.

Development has stalled because no one was using it.
 
Top
Help     FAQ     About     Contact     Terms     Privacy     AdChoices